## colrdx 1.0

=== Makefile ===
all: colrdx

colrdx: colrdx.c
	gcc $(CFLAGS) -O2 -Wall -I/usr/include/ncurses colrdx.c -lncurses -o colrdx

install:
	install -s -o root -g root colrdx $(DESTDIR)/usr/bin
	
clean:
	rm -f colrdx *~ build
	rm -rf debian/tmp

=== debian/changelog ===
colrdx (1.0) unstable; urgency=low

  * Initial release.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 11 Aug 2005 20:00:31 +0200

=== debian/control ===
Source: colrdx
Build-depends: libncurses5-dev, debhelper (>=4)
Section: hamradio
Priority: optional
Maintainer: Joop Stakenborg <pa3aba@debian.org>
Standards-Version: 3.6.2

Package: colrdx
Architecture: any
Depends: ${shlibs:Depends}
Description: DX-cluster client with curses color support
 Colrdx is a simple client for amateur radio dx-clusters. In a split-screen
 display you can type commands for the cluster in the bottom part. Messages
 from the dx-cluster will appear in the main window. There is also a status
 line at the top with some basic information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/colrdx.sgml > colrdx.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/colrdx.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/colrdx


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman colrdx.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## colrdx 1.02

=== Makefile ===
# Makefile for colrdx, copyright 2005, 2006 Joop Stakenborg <pg4i@amsat.org>

VERSION=1.02

all: colrdx

colrdx: colrdx.c
	gcc $(CFLAGS) -O2 -Wall -I/usr/include/ncurses colrdx.c \
	-lncurses -o colrdx

install:
	install -s -o root -g root colrdx $(DESTDIR)/usr/bin
	install -m 0644 colrdx.1 $(DESTDIR)/usr/share/man/man1
	
clean:
	rm -f colrdx *~ build colrdx-$(VERSION).tar.gz

dist:
	mkdir colrdx-$(VERSION)
	cp colrdx.c TODO ChangeLog COPYING colrdx.1 Makefile colrdx-$(VERSION)
	rm -f colrdx-$(VERSION).tar.gz
	tar cvzf colrdx-$(VERSION).tar.gz colrdx-$(VERSION)
	rm -rf colrdx-$(VERSION)
